﻿using SlnMesnac.LabelPrint.Common;
using SlnMesnac.LabelPrint.Log4net;
using SlnMesnac.LabelPrint.Model;
using System;

namespace SlnMesnac.LabelPrint.Bartender.equip
{
    public class LabelPrintEquip : PrintEquip
    {
        private readonly LogHelper logHelper = LogHelper.Instance;
        private readonly JsonChange jsonChange = JsonChange.Instance;
        public override bool AddPara()
        {
            var para = base.ParaClass as BaseLabelInfo;
            if (para != null)
            {
                try
                {
                    logHelper.Info($"打印标签信息：{jsonChange.ModeToJson(para)}");
                    base.EngineFormat.SubStrings["barcode"].Value = para.column_A.ToString();
                    return true;
                }
                catch (Exception e)
                {
                    Console.WriteLine(e.ToString());
                    return false;
                }

            }
            else
            {
                return false;
            }
        }

    }
}
